package de.ozgcloud.admin.settings;

import java.util.Map;

public class ConfigurationPropertiesTestFactory {
    public static final String APPNAME = "testapp";
    public static final String PROFILE = "testprofile";
    public static final String PROPERTY1 = "property1";
    public static final String VALUE1 = "value1";
    public static Map<String, Object> PROPERTIES = Map.of(PROPERTY1, VALUE1);

    public static ConfigurationProperties create() {
        return createBuilder().build();
    }

    public static ConfigurationProperties.ConfigurationPropertiesBuilder createBuilder() {
        return ConfigurationProperties.builder()
                .application(APPNAME)
                .profile(PROFILE)
                .source(PROPERTIES);
    }
}
