package de.ozgcloud.admin.settings.postfach;

import java.util.Random;

import com.thedeanda.lorem.LoremIpsum;

public class AbsenderTestFactory {
	public static final String NAME = LoremIpsum.getInstance().getName();
	public static final String ANSCHRIFT = LoremIpsum.getInstance().getEmail();
	public static final String DIENST = LoremIpsum.getInstance().getName();
	public static final String MANDANT = LoremIpsum.getInstance().getName();
	public static final String GEMEINDESCHLUESSEL = String.valueOf(new Random().nextInt(100000));

	public static Absender create() {
		return createBuilder().build();
	}

	public static Absender.AbsenderBuilder createBuilder() {
		return Absender.builder()
				.name(NAME)
				.anschrift(ANSCHRIFT)
				.dienst(DIENST)
				.mandant(MANDANT)
				.gemeindeschluessel(GEMEINDESCHLUESSEL);
	}

}
